For the complete documentation index, see llms.txt. For the full documentation snapshot, see llms-full.txt.
Create scheduled changes for a feature flag. The changes you schedule may include any semantic patch instructions available when updating a feature flag. If the ignoreConflicts query parameter is false and there are conflicts between these instructions and existing scheduled changes, the request will fail. If the parameter is true and there are conflicts, the request will succeed.
curl --request POST \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/scheduled-changes \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"comment": "Optional comment describing the scheduled changes",
"executionDate": 1718467200000,
"instructions": [
{
"kind": "turnFlagOn"
}
]
}
'{
"_id": "12ab3c45de678910abc12345",
"_creationDate": "1654123897062",
"_maintainerId": "12ab3c45de678910abc12345",
"_version": 1,
"executionDate": "1636558831870",
"instructions": "[ { \"kind\": \"turnFlagOn\" }]",
"conflicts": "<unknown>",
"_links": {}
}Documentation Index
Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
The project key
The feature flag key
The environment key
Whether to succeed (true) or fail (false) when these instructions conflict with existing scheduled changes
When the scheduled changes should be executed
"1636558831870"
The actions to perform on the execution date for these scheduled changes. This should be an array with a single object that looks like {"kind": "scheduled_action"}. Supported scheduled actions include any semantic patch instructions available when updating a feature flag.
Show child attributes
"[ { \"kind\": \"turnFlagOn\" }]"
Optional comment describing the scheduled changes
"optional comment"
Scheduled changes response
The ID of this scheduled change
"12ab3c45de678910abc12345"
Timestamp of when the scheduled change was created
"1654123897062"
The ID of the scheduled change maintainer
"12ab3c45de678910abc12345"
Version of the scheduled change
1
When the scheduled changes should be executed
"1636558831870"
The actions to perform on the execution date for these scheduled changes
Show child attributes
"[ { \"kind\": \"turnFlagOn\" }]"
Details on any conflicting scheduled changes
The location and content type of related resources
Show child attributes
curl --request POST \
--url https://app.launchdarkly.com/api/v2/projects/{projectKey}/flags/{featureFlagKey}/environments/{environmentKey}/scheduled-changes \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"comment": "Optional comment describing the scheduled changes",
"executionDate": 1718467200000,
"instructions": [
{
"kind": "turnFlagOn"
}
]
}
'{
"_id": "12ab3c45de678910abc12345",
"_creationDate": "1654123897062",
"_maintainerId": "12ab3c45de678910abc12345",
"_version": 1,
"executionDate": "1636558831870",
"instructions": "[ { \"kind\": \"turnFlagOn\" }]",
"conflicts": "<unknown>",
"_links": {}
}